<template>
    <v-datetime-picker 
    :label="label" 
    :timeFormat="timeFormat" 
    :dateFormat="dateFormat" 
    v-model="dateFromComponent" 
    :datePickerProps="customDatePickerProps" 
    :timePickerProps="customTimePickerProps">
        <template slot="dateIcon">
            <v-icon>mdi-calendar-range</v-icon>
        </template>
        <template slot="timeIcon">
            <v-icon>mdi-clock-outline</v-icon>
        </template>
    </v-datetime-picker>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";

@Component
export default class DateTimePicker extends Vue {
  private dateFormat = "dd-MM-yyyy";
  private timeFormat = "HH-mm";
  private customDatePickerProps = {
    "first-day-of-week": "1"
  };
  private customTimePickerProps = {
    format: "24hr"
  };

  @Prop(Date) value: Date;
  @Prop(String) label: string;

  get dateFromComponent(): Date{
      return this.value;
  }
  // Setter dynamique afin de ne pas modifier la valeur dans le composant enfant.
  set dateFromComponent(val: Date){
      this.$emit('input', val);
  }
}
</script>

<style>
</style>
